com.fasterxml.jackson.dataformat.smile.async

## Interface NonBlockingParser

All Superinterfaces:
  NonBlockingInputFeeder

All Known Implementing Classes:
  NonBlockingParserImpl

    public interface NonBlockingParser
    extends NonBlockingInputFeeder

Mix-in interface used with `JsonParser`, extending it with features needed to process data in non-blocking ("asynchronous")

### Method Summary

All Methods Instance Methods Abstract Methods
`com.fasterxml.jackson.core.JsonToken` `peekNextToken()` Method that can be called when current token is not yet available via `JsonParser.getCurrentToken()`, to try to figure out what kind of token will be eventually returned once the whole token is decoded, if known.

### Methods inherited from interface com.fasterxml.jackson.dataformat.smile.async.NonBlockingInputFeeder

`endOfInput, feedInput, needMoreInput`

### Method Detail

#### peekNextToken

    com.fasterxml.jackson.core.JsonToken peekNextToken()
                                                throws IOException,
                                                       com.fasterxml.jackson.core.JsonParseException

Method that can be called when current token is not yet available via `JsonParser.getCurrentToken()`, to try to figure out what kind of token will be eventually returned once the whole token is decoded, if known. Note that this may return `JsonToken.NOT_AVAILABLE`: this occurs either if current token is known (and thus no more parsing can be done yet), or if not enough content is available to even determine next token type (typically we only need a single byte, but in boundaries zero bytes is available).

Returns:
  Token that will eventually be returned with a call to `JsonParser.nextToken()`, if known
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonParseException`